# Massa: The Decentralized and Scaled Blockchain

Massa is a truly decentralized blockchain controlled by thousands of
people. With the breakthrough multithreaded technology, we're set for
mass adoption.

[![CI](https://github.com/massalabs/massa/actions/workflows/ci.yml/badge.svg?branch=main)](https://github.com/massalabs/massa/actions/workflows/ci.yml?query=branch%3Amain)
[![Bors enabled](https://bors.tech/images/badge_small.svg)](https://app.bors.tech/repositories/39543)
[![Coverage Status](https://coveralls.io/repos/github/massalabs/massa/badge.svg?branch=main)](https://coveralls.io/github/massalabs/massa?branch=main)
[![Docs](https://img.shields.io/static/v1?label=docs&message=massa&color=blue)](https://massalabs.github.io/massa/massa_node/)
[![OpenRPC Playground](https://img.shields.io/static/v1?label=openrpc-playground&message=massa&color=blue)](https://playground.open-rpc.org/?schemaUrl=https://raw.githubusercontent.com/massalabs/massa/main/docs/technical-doc/openrpc.json)
[![Open in Gitpod](https://shields.io/badge/Gitpod-contribute-brightgreen?logo=gitpod&style=flat)](https://gitpod.io/#https://github.com/massalabs/massa)

## Introduction

[Massa](https://massa.net) is a new blockchain reaching a high
transaction throughput in a decentralized network. Our research is
published in this [technical paper](https://arxiv.org/pdf/1803.09029).
It shows that throughput of 10'000 transactions per second is reached
even in a fully decentralized network with thousands of nodes.

An easy-to-read blog post introduction with videos is written
[here](https://massa.net/blog/introduction/).

We are now releasing the **Massa testnet** in this GitHub repository,
with its explorer available at <https://massa.net/testnet>.

## Testnet Incentives

As decentralization is our core value, we would like to help you start
and run a Massa node. Running a node during the testnet phase also helps
us find bugs and improve usability, so it will be rewarded with real
Massa on mainnet launch.

The mechanics of those rewards are described in the [Testnet rules](https://docs.massa.net/en/latest/testnet/rewards.html).

## Testnet Discussions

Please come to our [Discord](https://discord.com/invite/massa) for
testnet discussions, in the testnet channel.

For project announcements, we mainly use
[Telegram](https://t.me/massanetwork), and we also have a [Twitter](https://twitter.com/MassaLabs) account.

## Tutorials to join the testnet

-   [Installing a node](https://docs.massa.net/en/latest/testnet/install.html)
-   [Running a node](https://docs.massa.net/en/latest/testnet/running.html)
-   [Creating a wallet](https://docs.massa.net/en/latest/testnet/wallet.html)
-   [Staking](https://docs.massa.net/en/latest/testnet/staking.html)
-   [Routability tutorial](https://docs.massa.net/en/latest/testnet/routability.html) (Optional)
-   [Testnet rewards program](https://docs.massa.net/en/latest/testnet/rewards.html) (Optional)

## More tutorials

-   [Updating the node](https://docs.massa.net/en/latest/testnet/update.html)
-   [Tutorials and resources from the community](https://docs.massa.net/en/latest/testnet/community-resources.html)

## [FAQ](https://docs.massa.net/en/latest/testnet/faq.html) and Troubleshooting

You'll find answers to common issues and questions regarding the Massa
protocol in the [FAQ](https://docs.massa.net/en/latest/testnet/faq.html).

Don't hesitate to ask questions in the
[Discord](https://discord.com/invite/massa) testnet channel.

## Technical documentation

-   [API](https://docs.massa.net/en/latest/technical-doc/api.html)
-   [Concurrency](https://docs.massa.net/en/latest/technical-doc/concurrency.html)
-   [Smart contract VM block feed process](https://docs.massa.net/en/latest/technical-doc/vm-block-feed.html)
-   [VM ledger interaction](https://docs.massa.net/en/latest/technical-doc/vm-ledger-interaction.html)
-   [Dummy network generation](https://docs.massa.net/en/latest/technical-doc/dummy-network-generation.html)
